Subject: [P2PSIP] Pure P2P or Distributed Server Farms?

From: "Juwei Shi" <[email-masked]>
Date: Wed, 21 Mar 2007 22:17:22 +0800

There's two approaches to implement P2PSIP: Pure P2P and Distributed Server
Farms. The former one is to remove all the servers to make endpoints perform
all the behaviors of SIP UA, SIP Proxy, DHT nodes and etc. The alternative
is to decentralize SIP servers using DHT to replace DNS servers. This
approach will not remove SIP servers thus the network is reliable and
manageable. Which approach should we choose? I know that many guys in this
WG support the pure P2P approach. However, P2P VoIP service providers may
prefer the server farm approach since it is more reliable and manageable.

BR

Juwei

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip